extends AudioStreamPlayer3D

@export var track1:Resource
@export var track2:Resource
@export var track3:Resource
@export var track4:Resource
@export var track5:Resource

func _input(event):
	if event is InputEventKey:
		if event.is_action_pressed("song_1"):
			stream = track1
			play()
		if event.is_action_pressed("song_2"):
			stream = track2
			play()
		if event.is_action_pressed("song_3"):
			stream = track3
			play()
		if event.is_action_pressed("song_4"):
			stream = track4
			play()
		if event.is_action_pressed("song_5"):
			stream = track5
			play()
		if event.is_action_pressed("song_stop"):
			stop()
